From 2438d12b715fdf055ad1b9d59fd28deafefacb4c Mon Sep 17 00:00:00 2001
From: Peter Robinson <pbrobinson@gmail.com>
Date: Sun, 3 May 2015 15:39:45 +0100
Subject: [PATCH 10/10] mx6: standardise CONFIG_CMD_CACHE

---
 include/configs/aristainetos.h    | 2 --
 include/configs/cgtqmx6eval.h     | 4 ----
 include/configs/embestmx6boards.h | 4 ----
 include/configs/gw_ventana.h      | 4 ----
 include/configs/hummingboard.h    | 4 ----
 include/configs/mx6_common.h      | 4 ++++
 include/configs/mx6cuboxi.h       | 2 --
 include/configs/mx6sabre_common.h | 4 ----
 include/configs/mx6slevk.h        | 4 ----
 include/configs/mx6sxsabresd.h    | 4 ----
 include/configs/nitrogen6x.h      | 4 ----
 include/configs/novena.h          | 1 -
 include/configs/ot1200.h          | 4 ----
 include/configs/platinum.h        | 4 ----
 include/configs/secomx6quq7.h     | 4 ----
 include/configs/tbs2910.h         | 4 ----
 include/configs/titanium.h        | 4 ----
 include/configs/tqma6.h           | 4 ----
 include/configs/udoo.h            | 4 ----
 include/configs/wandboard.h       | 4 ----
 include/configs/warp.h            | 4 ----
 21 files changed, 4 insertions(+), 73 deletions(-)

diff --git a/include/configs/aristainetos.h b/include/configs/aristainetos.h
index 106b6aa..09072c6 100644
--- a/include/configs/aristainetos.h
+++ b/include/configs/aristainetos.h
@@ -208,8 +208,6 @@
 #define CONFIG_ENV_OFFSET		(0x0d0000)
 #define CONFIG_ENV_OFFSET_REDUND	(0x0e0000)
 
-#define CONFIG_CMD_CACHE
-
 #define CONFIG_SYS_FSL_USDHC_NUM	2
 
 #define CONFIG_CMD_I2C
diff --git a/include/configs/cgtqmx6eval.h b/include/configs/cgtqmx6eval.h
index 2ad2a01..6dc6fcf 100644
--- a/include/configs/cgtqmx6eval.h
+++ b/include/configs/cgtqmx6eval.h
@@ -122,8 +122,4 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_CGTQMX6EVAL_H */
diff --git a/include/configs/embestmx6boards.h b/include/configs/embestmx6boards.h
index 41e209e..082aedf 100644
--- a/include/configs/embestmx6boards.h
+++ b/include/configs/embestmx6boards.h
@@ -133,10 +133,6 @@
 #define CONFIG_ENV_SPI_MAX_HZ		CONFIG_SF_DEFAULT_SPEED
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /* Framebuffer */
 #define CONFIG_VIDEO
 #define CONFIG_VIDEO_IPUV3
diff --git a/include/configs/gw_ventana.h b/include/configs/gw_ventana.h
index 476d359..3095a6b 100644
--- a/include/configs/gw_ventana.h
+++ b/include/configs/gw_ventana.h
@@ -426,8 +426,4 @@
 #define CONFIG_OF_BOARD_SETUP
 #define CONFIG_FDT_FIXUP_PARTITIONS
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-  #define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_H */
diff --git a/include/configs/hummingboard.h b/include/configs/hummingboard.h
index 02fcc5a..2abc29c 100644
--- a/include/configs/hummingboard.h
+++ b/include/configs/hummingboard.h
@@ -165,8 +165,4 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_H * */
diff --git a/include/configs/mx6_common.h b/include/configs/mx6_common.h
index f1d115d..82419bd 100644
--- a/include/configs/mx6_common.h
+++ b/include/configs/mx6_common.h
@@ -80,6 +80,10 @@
 #define CONFIG_SYS_MAXARGS	32
 #define CONFIG_SYS_BARGSIZE	CONFIG_SYS_CBSIZE
 
+#ifndef CONFIG_SYS_DCACHE_OFF
+#define CONFIG_CMD_CACHE
+#endif
+
 /* GPIO */
 #define CONFIG_MXC_GPIO
 
diff --git a/include/configs/mx6cuboxi.h b/include/configs/mx6cuboxi.h
index 211fba3..c6fc465 100644
--- a/include/configs/mx6cuboxi.h
+++ b/include/configs/mx6cuboxi.h
@@ -163,6 +163,4 @@
 #define CONFIG_ENV_IS_IN_MMC
 #define CONFIG_ENV_OFFSET		(8 * 64 * 1024)
 
-#define CONFIG_CMD_CACHE
-
 #endif                         /* __MX6CUBOXI_CONFIG_H */
diff --git a/include/configs/mx6sabre_common.h b/include/configs/mx6sabre_common.h
index 8ceb65c..fe6cd89 100644
--- a/include/configs/mx6sabre_common.h
+++ b/include/configs/mx6sabre_common.h
@@ -200,10 +200,6 @@
 #define CONFIG_ENV_OFFSET		(8 * 64 * 1024)
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /* Framebuffer */
 #define CONFIG_VIDEO
 #define CONFIG_VIDEO_IPUV3
diff --git a/include/configs/mx6slevk.h b/include/configs/mx6slevk.h
index df76a6a..1edc1f3 100644
--- a/include/configs/mx6slevk.h
+++ b/include/configs/mx6slevk.h
@@ -165,10 +165,6 @@
 #define CONFIG_ENV_IS_IN_MMC
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #define CONFIG_CMD_SF
 #ifdef CONFIG_CMD_SF
 #define CONFIG_SPI_FLASH
diff --git a/include/configs/mx6sxsabresd.h b/include/configs/mx6sxsabresd.h
index 86fb8c2..1d66aa1 100644
--- a/include/configs/mx6sxsabresd.h
+++ b/include/configs/mx6sxsabresd.h
@@ -211,10 +211,6 @@
 #define CONFIG_ENV_SIZE			SZ_8K
 #define CONFIG_ENV_IS_IN_MMC
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #define CONFIG_SYS_FSL_USDHC_NUM	3
 #if defined(CONFIG_ENV_IS_IN_MMC)
 #define CONFIG_SYS_MMC_ENV_DEV		2  /*USDHC4*/
diff --git a/include/configs/nitrogen6x.h b/include/configs/nitrogen6x.h
index 4d62d5d..7cb5b12 100644
--- a/include/configs/nitrogen6x.h
+++ b/include/configs/nitrogen6x.h
@@ -325,10 +325,6 @@
 #define CONFIG_ENV_SPI_MAX_HZ		CONFIG_SF_DEFAULT_SPEED
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #define CONFIG_CMD_BMP
 
 #define CONFIG_CMD_TIME
diff --git a/include/configs/novena.h b/include/configs/novena.h
index 09474de..9dc0332 100644
--- a/include/configs/novena.h
+++ b/include/configs/novena.h
@@ -22,7 +22,6 @@
 /* U-Boot Commands */
 #define CONFIG_CMD_ASKENV
 #define CONFIG_CMD_BMODE
-#define CONFIG_CMD_CACHE
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_EEPROM
 #define CONFIG_CMD_I2C
diff --git a/include/configs/ot1200.h b/include/configs/ot1200.h
index ec41464..9f9f36f 100644
--- a/include/configs/ot1200.h
+++ b/include/configs/ot1200.h
@@ -158,10 +158,6 @@
 #define CONFIG_ENV_SPI_MODE             CONFIG_SF_DEFAULT_MODE
 #define CONFIG_ENV_SPI_MAX_HZ           CONFIG_SF_DEFAULT_SPEED
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #define CONFIG_BOOTP_SERVERIP
 #define CONFIG_BOOTP_BOOTFILE
 
diff --git a/include/configs/platinum.h b/include/configs/platinum.h
index 1ffc237..dc6e58c 100644
--- a/include/configs/platinum.h
+++ b/include/configs/platinum.h
@@ -165,10 +165,6 @@
 				"512k(res2),512k(res3),-(ubi1)"
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /*
  * Environment configuration
  */
diff --git a/include/configs/secomx6quq7.h b/include/configs/secomx6quq7.h
index 51c92cc..56d3815 100644
--- a/include/configs/secomx6quq7.h
+++ b/include/configs/secomx6quq7.h
@@ -110,8 +110,4 @@
 	#define CONFIG_DYNAMIC_MMC_DEVNO
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif /* __CONFIG_H */
diff --git a/include/configs/tbs2910.h b/include/configs/tbs2910.h
index 5ab5bff..70c1af9 100644
--- a/include/configs/tbs2910.h
+++ b/include/configs/tbs2910.h
@@ -170,10 +170,6 @@
 #define CONFIG_MXC_OCOTP
 #endif
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /* Flash and environment organization */
 #define CONFIG_ENV_IS_IN_MMC
 #define CONFIG_SYS_MMC_ENV_DEV		2
diff --git a/include/configs/titanium.h b/include/configs/titanium.h
index c0596f2..ee8112e 100644
--- a/include/configs/titanium.h
+++ b/include/configs/titanium.h
@@ -212,8 +212,4 @@
 #define CONFIG_CMD_UBI
 #define CONFIG_CMD_UBIFS
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_H */
diff --git a/include/configs/tqma6.h b/include/configs/tqma6.h
index 40ef569..d9f6f29 100644
--- a/include/configs/tqma6.h
+++ b/include/configs/tqma6.h
@@ -396,10 +396,6 @@
 #define CONFIG_FIT
 #define CONFIG_FIT_VERBOSE
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /*
  * All the defines above are for the TQMa6 SoM
  *
diff --git a/include/configs/udoo.h b/include/configs/udoo.h
index 4bbb0f7..9afbbc4 100644
--- a/include/configs/udoo.h
+++ b/include/configs/udoo.h
@@ -175,8 +175,4 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_H * */
diff --git a/include/configs/wandboard.h b/include/configs/wandboard.h
index 82fc127..3f10ef2 100644
--- a/include/configs/wandboard.h
+++ b/include/configs/wandboard.h
@@ -229,8 +229,4 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 #endif			       /* __CONFIG_H * */
diff --git a/include/configs/warp.h b/include/configs/warp.h
index caf5d3f..801b188 100644
--- a/include/configs/warp.h
+++ b/include/configs/warp.h
@@ -66,10 +66,6 @@
 /* VDD voltage 1.65 - 1.95 */
 #define CONFIG_SYS_SD_VOLTAGE		0x00000080
 
-#ifndef CONFIG_SYS_DCACHE_OFF
-#define CONFIG_CMD_CACHE
-#endif
-
 /* USB Configs */
 #define CONFIG_CMD_USB
 #ifdef CONFIG_CMD_USB
-- 
2.4.0

